﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;

namespace ReportDemoApp
{
    ///<summary>
    ///
    ///</summary>
    public class FamilyProvider
    {
        ///<summary>
        ///
        ///</summary>
        public FamilyProvider()
        {
            
        }

        ///<summary>
        ///
        ///</summary>
        ///<param name="siteid"></param>
        ///<param name="tutoring"></param>
        ///<returns></returns>
        public DataSet GetFilteredFamilyList()
        {
            DataSet ds = new DataSet();
            DataTable dt = new DataTable();
            dt.Columns.Add("Familyid", Type.GetType("System.Guid"));
            dt.Columns.Add("Parentlastname", Type.GetType("System.String"));
            dt.Columns.Add("Parentfirstname", Type.GetType("System.String"));
            dt.Columns.Add("Email", Type.GetType("System.String"));
            dt.Columns.Add("Homephone", Type.GetType("System.String"));
            dt.Columns.Add("Startofservice", Type.GetType("System.DateTime"));
            dt.Columns.Add("Lengthofservice", Type.GetType("System.Int32"));
            dt.Columns.Add("Zip", Type.GetType("System.Int32"));
            dt.Columns.Add("Status", Type.GetType("System.String"));
            dt.Columns.Add("Comments", Type.GetType("System.String"));

            DataRow dr = dt.NewRow();

            Random random = new Random(DateTime.Now.Millisecond);
            for (int i = 0; i < 5000; i++)
            {
                Guid myguid = new Guid();
                
                string parentlastname = (random.Next(0, 100) % 2 == 0) ? "Jones" : "Smith";
                string parentfirstname = (random.Next(0, 100) % 2 == 0) ? "Joe" : "Jenny";
                string email = "test@test.com";
                string homephone = random.Next(0, 999999999).ToString();
                DateTime startofservice = DateTime.Now;
                int lengthofservice = random.Next(0, 999999999);
                int zip = random.Next(0, 99999);
                string status = (random.Next(0, 100) % 2 == 0) ? "Active" : "Not Active";
                string comments = random.Next(0, 999999999).ToString();

                dt.Rows.Add(myguid, parentlastname, parentfirstname, email, homephone, startofservice, lengthofservice, zip, status, comments);
            }

            ds.Tables.Add(dt);
            return ds;
        }
    }
}
